# Dotfiles

Personal dotfiles for my Linux system running Sway (Wayland).

## Overview

- **Window Management**: Sway, Waybar, Swayidle
- **Terminals**: Kitty, WezTerm
- **Development**: Neovim, Git, Tmux, npm, mise
- **Shell**: Zsh with custom functions, aliases, keymaps
- **Launchers**: Rofi, Fuzzel

## Requirements

- stow
- git-crypt (for encrypted files)

## Installation

```bash
# Clone repository
git clone https://github.com/yourusername/dotfiles.git ~/.dotfiles
cd ~/.dotfiles

# Decrypt sensitive files (if you have access)
git-crypt unlock /path/to/key

# Install everything
stow */

# Or install individual modules
stow zsh
stow nvim
stow sway
```

## License

MIT
